---
title: "Local Machine"
description: "SMC API Documentation"
url: https://developer.disguise.one/smc/api/machine/
---

# Local Machine API

-   [GET localmachine](#get-localmachine)
-   [POST localmachine](#post-localmachine)

## GET localmachine

### Summary

Get the status of the d3 host

### URL

GET    /api/localmachine

### Responses

-   **200:** Success - Ok
-   **404:** Not found
-   **500:** Check the response body for error details

### Response Body

```json
{
  "hostname": "hostname",
  "serial": "44150",
  "type": "vx4"
}
```

## POST localmachine

### Summary

Update with the status of the d3 host

### URL

POST    /api/localmachine

### Request Body

```json
{
  "hostname": "hostname",
  "serial": "44150",
  "type": "vx4"
}
```

### Responses

-   **201:** Success - Created
-   **401:** Unauthorized - Please login for access
-   **500:** Check the response body for error details

Response Body

```json
{
  "message": "ok"
}
```
